package com.zsc.bill.modules.system.service;

import com.zsc.bill.modules.system.dto.RoleDto;
import com.zsc.bill.modules.system.entity.Role;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.bill.modules.system.vo.RoleVo;

/**
 * <p>
 * 角色表 服务类
 * </p>
 *
 * @author Yao
 * @since 2023-04-06
 */
public interface RoleService extends IService<Role> {

    Role create(RoleDto roleDto);

    Boolean edit(RoleDto roleDto, Long id);

    RoleVo detail(Long id);

    Boolean toggle(Long id);

    Boolean delete(Long id);

    Boolean updateRole(RoleDto dto, Long id);
}
